[Setup]
AppName=Skype

[FileToRun]
PathToExe=.\Phone\Skype.exe
Parameters=/datapath:"%Profile%" /removable /nosplash
; /minimized /secondary /username:User /password:12345678

[Environment]
Profile=.\Data
Registry=%Profile%\Registry
 
[Functions]
DirCreate=%Profile%|%Registry%

[WriteToReg=%Registry%\$AppName$_1.reg]
MainKey=HKEY_CURRENT_USER\Software\Skype
[WriteToReg=%Registry%\$AppName$_2.reg]
MainKey=HKEY_CURRENT_USER\Software\IM Providers

[RunBefore]
RegEdit=%Registry%\$AppName$_1.reg;$AppName$_2.reg

[RunAfter]
DirRemove=@AppDataDir@\Skype\logs
DirRemove=@AppDataDir@\Skype\SkypeRT
DirRemove=@AppDataDir@\Skype\Apps|e
DirRemove=@AppDataDir@\Skype|e
DirRemove=@TempDir@\Skype
DirRemove=$LocalAppData$\CrashDumps
DirRemove=$LocalAppData$\Temp\DbTemp

[Options]
DeleteTemp=true
ShowSplash=false
WriteLog=false
ShowTrayTip=false